> ## Documentation Index
> Fetch the complete documentation index at: https://docs.unpod.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Trunk

> Delete a SIP trunk and its number bindings

Delete a SIP trunk. This delegates to the credential teardown, which removes the trunk's
number bindings. Returns `204 No Content` on success.

<Warning>
  Deleting a trunk removes its bindings. [Detach any mapped numbers](/telephony/trunks/detach-numbers)
  first if you want them cleanly returned to `NOT_ASSIGNED` with deprovisioning.
</Warning>

<Note>
  **Prerequisites:** API Token + Org-Handle. See [Authentication](/api/get-started/authentication).
</Note>

### Headers

| Name          | Type   | Required | Description                |
| ------------- | ------ | -------- | -------------------------- |
| Authorization | string | Yes      | `Token <your-api-key>`     |
| Org-Handle    | string | Yes      | Organization domain handle |

### Path parameters

| Name | Type    | Required | Description |
| ---- | ------- | -------- | ----------- |
| id   | integer | Yes      | Trunk id    |

<ResponseExample>
  ```text 204 theme={null}
  (No content)
  ```

  ```json 404 theme={null}
  { "status_code": 404, "message": "Trunk not found." }
  ```
</ResponseExample>

```bash cURL theme={null}
curl -s -X DELETE "https://unpod.ai/api/v2/platform/telephony/trunks/21/" \
  -H "Authorization: Token <your-api-key>" \
  -H "Org-Handle: <your-org-handle>"
```


## OpenAPI

````yaml DELETE /api/v2/platform/telephony/trunks/{id}/
openapi: 3.0.3
info:
  title: Unpod API
  description: REST API for Unpod Voice AI Platform
  version: 2.0.0
servers:
  - url: https://unpod.ai/
    description: QA
  - url: https://unpod.ai/
    description: Production
security: []
tags:
  - name: Organisation
  - name: Spaces
  - name: Agents
  - name: Tasks
  - name: Runs
  - name: Call Logs
  - name: Analytics
  - name: Providers
  - name: Bridges
  - name: Numbers
  - name: Trunks
  - name: Telephony
  - name: Billing
paths:
  /api/v2/platform/telephony/trunks/{id}/:
    delete:
      tags:
        - Trunks
      summary: Delete Trunk
      operationId: deleteTrunk
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: integer
            example: 21
        - $ref: '#/components/parameters/OrgHandle'
      responses:
        '204':
          description: Trunk deleted successfully
        '401':
          $ref: '#/components/responses/Unauthorized'
        '404':
          description: Trunk not found
          content:
            application/json:
              example:
                status_code: 404
                message: Trunk not found.
      security:
        - TokenAuth: []
components:
  parameters:
    OrgHandle:
      name: Org-Handle
      in: header
      required: true
      schema:
        type: string
        example: unpod.tv
      description: Organization domain handle
  responses:
    Unauthorized:
      description: Unauthorized - Invalid or missing API token
      content:
        application/json:
          example:
            status_code: 401
            message: Authentication credentials were not provided.
  securitySchemes:
    TokenAuth:
      type: apiKey
      in: header
      name: Authorization
      description: 'Format: Token <your-api-key>'

````